using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x07DC, 0x07DD )]
	public class Grimoire : BaseBook
	{
		[Constructable]
		public Grimoire() : base( 0x07DC, 40, true )
		{
			Hue = Utility.RandomHue();
		}

		[Constructable]
		public Grimoire( int pageCount, bool writable ) : base( 0x07DC, pageCount, writable )
		{
		}

		[Constructable]
		public Grimoire( string title, string author, int pageCount, bool writable ) : base( 0x07DC, title, author, pageCount, writable )
		{
		}

		public Grimoire( bool writable ) : base( 0x07DC, writable )
		{
		}

		public Grimoire( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
		}
	}
}
